> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List jobs

> List jobs with pagination and filtering. Returns jobs belonging to the authenticated user.



## OpenAPI

````yaml https://api.krea.ai/openapi.json get /jobs
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /jobs:
    get:
      tags:
        - General
      summary: List jobs
      description: >-
        List jobs with pagination and filtering. Returns jobs belonging to the
        authenticated user.
      parameters:
        - in: query
          name: cursor
          description: >-
            ISO 8601 timestamp cursor for pagination (jobs created before this
            time)
          schema:
            type: string
            format: date-time
            description: >-
              ISO 8601 timestamp cursor for pagination (jobs created before this
              time)
        - in: query
          name: limit
          description: 'Number of items to return (1-1000, default: 100)'
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            default: 100
            description: 'Number of items to return (1-1000, default: 100)'
        - in: query
          name: types
          description: >-
            Comma-separated list of job types to filter (e.g.,
            "flux,k1,externalImage")
          schema:
            type: string
            description: >-
              Comma-separated list of job types to filter (e.g.,
              "flux,k1,externalImage")
        - in: query
          name: status
          description: Filter by job status
          schema:
            type: string
            enum:
              - backlogged
              - queued
              - scheduled
              - processing
              - sampling
              - intermediate-complete
              - completed
              - failed
              - cancelled
            description: Filter by job status
      responses:
        '200':
          description: List of jobs
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        job_id:
                          type: string
                          format: uuid
                        status:
                          type: string
                          enum:
                            - backlogged
                            - queued
                            - scheduled
                            - processing
                            - sampling
                            - intermediate-complete
                            - completed
                            - failed
                            - cancelled
                        created_at:
                          type: string
                          format: date-time
                        completed_at:
                          type: string
                          format: date-time
                        result:
                          type: object
                          properties:
                            urls:
                              type: array
                              items:
                                type: string
                                format: uri
                            style_id:
                              type: string
                        error:
                          type: object
                          properties:
                            code:
                              type: string
                            message:
                              type: string
                          required:
                            - code
                      required:
                        - job_id
                        - status
                        - created_at
                  next_cursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - next_cursor
        '400':
          description: Invalid query parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````